/// The settings for a bar gauge visualisation.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct NumericBarGaugeVisualisation {
    #[serde(rename = "lowThreshold")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    low_threshold: f64,
    #[serde(rename = "highThreshold")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    high_threshold: f64,
}
impl NumericBarGaugeVisualisation {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(low_threshold: f64, high_threshold: f64) -> Self {
        Self::builder()
            .low_threshold(low_threshold)
            .high_threshold(high_threshold)
            .build()
    }
    #[inline]
    pub fn low_threshold(&self) -> f64 {
        self.low_threshold
    }
    #[inline]
    pub fn high_threshold(&self) -> f64 {
        self.high_threshold
    }
}
